org.yaml.snakeyaml.serializer

## Class NumberAnchorGenerator

- java.lang.Object
- - org.yaml.snakeyaml.serializer.NumberAnchorGenerator

All Implemented Interfaces:
  AnchorGenerator

    public class NumberAnchorGenerator
    extends Object
    implements AnchorGenerator

### Constructor Summary

Constructors
Constructor and Description
`NumberAnchorGenerator(int lastAnchorId)`

### Method Summary

Methods
`String` `nextAnchor(Node node)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NumberAnchorGenerator

    public NumberAnchorGenerator(int lastAnchorId)

### Method Detail

#### nextAnchor

    public String nextAnchor(Node node)

Specified by:
  `nextAnchor` in interface `AnchorGenerator`